Package org.linphone.core

# Enum Class VideoSourceScreenSharingType

java.lang.Object
java.lang.Enum<VideoSourceScreenSharingType>
org.linphone.core.VideoSourceScreenSharingType

All Implemented Interfaces:
  `Serializable`, `Comparable<VideoSourceScreenSharingType>`, `Constable`

public enum VideoSourceScreenSharingType extends Enum<VideoSourceScreenSharingType>
Enum representing the sub type of the screen sharing.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Area`
The screen sharing is done from an area.
`Display`
The screen sharing is done from a display.
`Window`
The screen sharing is done from a window.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static VideoSourceScreenSharingType`
`fromInt(int value)`
`protected static VideoSourceScreenSharingType[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(VideoSourceScreenSharingType[] values)`
`static VideoSourceScreenSharingType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VideoSourceScreenSharingType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Display

public static final VideoSourceScreenSharingType Display
The screen sharing is done from a display.

### Window

public static final VideoSourceScreenSharingType Window
The screen sharing is done from a window.

### Area

public static final VideoSourceScreenSharingType Area
The screen sharing is done from an area.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static VideoSourceScreenSharingType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VideoSourceScreenSharingType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static VideoSourceScreenSharingType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static VideoSourceScreenSharingType[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(VideoSourceScreenSharingType[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()